D-Bus 1.13.18

Data Fields
DBusCondVar Struct Reference

## Data Fields
pthread_cond_t | cond
| the condition More...
DBusList * | list
| list thread-local-stored events waiting on the cond variable More...
CRITICAL_SECTION | lock
| lock protecting the list More...

## Detailed Description

Definition at line 57 of file dbus-sysdeps-pthread.c.

## Field Documentation

## ◆ cond

pthread_cond_t DBusCondVar::cond

the condition

Definition at line 58 of file dbus-sysdeps-pthread.c.

## ◆ list

DBusList* DBusCondVar::list

list thread-local-stored events waiting on the cond variable

Definition at line 52 of file dbus-sysdeps-thread-win.c.

## ◆ lock

CRITICAL_SECTION DBusCondVar::lock

lock protecting the list

Definition at line 53 of file dbus-sysdeps-thread-win.c.

The documentation for this struct was generated from the following files:

- dbus-sysdeps-pthread.c
- dbus-sysdeps-thread-win.c